# Ipopt::InexactAlgorithmBuilder Class Reference

Builder to create a complete IpoptAlg object for the inexact step computation version. More...

`#include <IpInexactAlgBuilder.hpp>`

Inheritance diagram for Ipopt::InexactAlgorithmBuilder:
[legend]

List of all members.

## Public Member Functions
Constructors/Destructors
| InexactAlgorithmBuilder ()
| Constructor.
virtual | ~InexactAlgorithmBuilder ()
| Destructor.
Methods to build parts of the algorithm
virtual void | BuildIpoptObjects (const Journalist &jnlst, const OptionsList &options, const std::string &prefix, const SmartPtr< NLP > &nlp, SmartPtr< IpoptNLP > &ip_nlp, SmartPtr< IpoptData > &ip_data, SmartPtr< IpoptCalculatedQuantities > &ip_cq)
virtual SmartPtr< IpoptAlgorithm > | BuildBasicAlgorithm (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptTypeInfo.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactAlgorithmBuilder (const InexactAlgorithmBuilder &)
| Default Constructor.
void | operator= (const InexactAlgorithmBuilder &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< AugSystemSolver > | custom_solver_
| Optional pointer to AugSystemSolver.

## Detailed Description

Builder to create a complete IpoptAlg object for the inexact step computation version.

Definition at line 21 of file IpInexactAlgBuilder.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactAlgorithmBuilder::InexactAlgorithmBuilder | ( |  | ) |

Constructor.

virtual Ipopt::InexactAlgorithmBuilder::~InexactAlgorithmBuilder | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 30 of file IpInexactAlgBuilder.hpp.

Ipopt::InexactAlgorithmBuilder::InexactAlgorithmBuilder | ( | const InexactAlgorithmBuilder & |  | ) | `[private]`

Default Constructor.

Copy Constructor

## Member Function Documentation

virtual void Ipopt::InexactAlgorithmBuilder::BuildIpoptObjects | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix,
|  | const SmartPtr< NLP > & | nlp,
|  | SmartPtr< IpoptNLP > & | ip_nlp,
|  | SmartPtr< IpoptData > & | ip_data,
|  | SmartPtr< IpoptCalculatedQuantities > & | ip_cq |
| ) |  |  | `[virtual]`

Reimplemented from Ipopt::AlgorithmBuilder.

virtual SmartPtr<IpoptAlgorithm> Ipopt::InexactAlgorithmBuilder::BuildBasicAlgorithm | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Reimplemented from Ipopt::AlgorithmBuilder.

static void Ipopt::InexactAlgorithmBuilder::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods for IpoptTypeInfo.

register the options used by the algorithm builder

Reimplemented from Ipopt::AlgorithmBuilder.

void Ipopt::InexactAlgorithmBuilder::operator= | ( | const InexactAlgorithmBuilder & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmBuilder.

## Member Data Documentation

SmartPtr<AugSystemSolver> Ipopt::InexactAlgorithmBuilder::custom_solver_`[private]`

Optional pointer to AugSystemSolver.

If this is set in the contructor, we will use this to solver the linear systems if the option linear_solver=custerm is chosen.

Reimplemented from Ipopt::AlgorithmBuilder.

Definition at line 78 of file IpInexactAlgBuilder.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactAlgBuilder.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines